# eric6.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.HgQueuesHeaderDialog

Module implementing a dialog to show the commit message of the current patch.

### Global Attributes

None

### Classes

HgQueuesHeaderDialog | Class implementing a dialog to show the commit message of the current patch.

### Functions

None

## HgQueuesHeaderDialog

Class implementing a dialog to show the commit message of the current patch.

### Derived from

QDialog, Ui_HgQueuesHeaderDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgQueuesHeaderDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
__showError | Private slot to show some error.
__showOutput | Private slot to show some output.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the list command.

### Static Methods

None

#### HgQueuesHeaderDialog (Constructor)

HgQueuesHeaderDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  reference to the parent widget (QWidget)

#### HgQueuesHeaderDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgQueuesHeaderDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### HgQueuesHeaderDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### HgQueuesHeaderDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### HgQueuesHeaderDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgQueuesHeaderDialog.__showOutput

__showOutput(out)

Private slot to show some output.

out
  output to be shown (string)

#### HgQueuesHeaderDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgQueuesHeaderDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgQueuesHeaderDialog.start

start(path)

Public slot to start the list command.

path
  name of directory to be listed (string)

Up